# 5.41.0 版本以前

自定义重铸词条配置可以在 `plugins/Reforges/reforges.yml` 中找到，它的一般配置如下：

```
reforges:
  - <第一个重铸词条配置>
  - <第二个重铸词条配置>
```

其中，`reforges` 为一个 **List** 类型的自定义重铸词条的键，所有自定义重铸词条的一般配置如下：

```
  - id: strengthened
    name: "<gradient:#4776E6>强壮的</gradient:#8E54E9>"
    description:
      - "&a+8 &f力量"
      - "&a+6 &f防御"          
    targets:
      - armor
    stone:
      enabled: true
      name: '&9强壮石'
      lore: 
        - "&7在重铸菜单中，将重铸石放在右侧"
        - "&7即可使你左侧的物品附上 <gradient:#4776E6>强壮的</gradient:#8E54E9>"
        - "&7词条!"
        - ""
        - "<gradient:#4776E6>强壮的</gradient:#8E54E9>"
        - "&a+36 &f防御"
        - ""
        - "&7需要 &a挖掘 &7技能等级 &bXXIV &7级!"
        - "&9&l超稀有"
      item: 'player_head texture:eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMmUwMDc0YzY5ODc0Y2M0ZjI4YzUyNmRhOWJlMDIyNWU4NThiNTMwYzNjZGU0YTFiNGVmMGZjODY3YzViM2NjMyJ9fX0='
      craftable: false
      recipe: []
    effects:
      - id: add_stat
        args:
          stat: defense
          amount: 6
      - id: add_stat
        args:
          stat: strength
          amount: 8
    conditions: 
      - id: placeholder_greater_than
        args:
          placeholder: '%ecoskills_mining%'
          value: 24
```

我们可以看出它由以下部分组成：

* **id：**&#x91CD;铸词条的 **id**。
* **name：**&#x91CD;铸词条显示给玩家的名称，将会显示在物品名称的前面。
* **description：**&#x91CD;铸词条显示给玩家的描述，将会显示在物品 Lore。
* **targets：**&#x53EF;以附上该重铸词条的物品。详见 **targets.yml**，在 **EcoX 物品语法学习** 一节有详细介绍，不再赘述。
* **stone：**&#x91CD;铸石。重铸石下的各个子选项和 **护身符和盔甲** 对应选项近乎一样，不再赘述。
* **effects/conditions：**&#x54;he Effect System（自定义技能系统）的内容，将在后文介绍。


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.superiormc.cn/ecox-doc/yi-ban-pei-zhi-ge-shi/zhong-zhu/5.41.0-ban-ben-yi-qian.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
